{ stdenv, hugo, fetchgit, pkgs, nodejs, ruby }:

let
    url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
    rev = "035b98a602fe6555c0a32cd5a0109e6c521226d0";
    sha256 = "0d4cwa7ljbbcnzimnp82m2y0v87y527bd4ix9bm7ccxnwcbzl1s3";
    requiredPackages = import ./required-packages.nix { inherit pkgs nodejs; };
in
    stdenv.mkDerivation {
        name = "blog-static";
        version = rev;
        src = fetchgit {
            inherit url rev sha256;
        };
        builder = ./builder.sh;
        converter = ./convert.rb;
        buildInputs = [ hugo requiredPackages.katex (ruby.withPackages (ps: [ ps.nokogiri ])) ];
    }
